package com.ozs.service.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2024/3/7
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BaseCameraVO implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 通道编号
     */
    private String channel;

    /**
     * 下次执行时间
     */
    private String nextExecuteTime;

    /**
     * 是否为预警摄像头
     */
    private Boolean isAlarm;

    /**
     * 状态
     */
    private String status;

}
